Page MenuHomePhabricator

Reduce number of times we apply highlights
Closed, ResolvedPublic

Description

We're currently calling applyHighlights() and clearHighlights() a bunch of times (~12) while this.controller.initializing is true. There's a conditional check for this.filtersModelInitialized but that is true when this.controller.initializing is true also. The patch (coming) reduces the calls to apply/clear to two times on page load.

Event Timeline

kostajh created this task.Jun 27 2018, 8:56 PM
kostajh triaged this task as Normal priority.
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptJun 27 2018, 8:56 PM

Change 442739 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/core@master] RC Filters: Don't apply/clear highlighting while still initializing

https://gerrit.wikimedia.org/r/442739

IKhitron removed a subscriber: IKhitron.Jun 27 2018, 9:22 PM

Change 442739 merged by jenkins-bot:
[mediawiki/core@master] RC Filters: Don't apply/clear highlighting while still initializing

https://gerrit.wikimedia.org/r/442739

Change 442752 had a related patch set uploaded (by Catrope; owner: Kosta Harlan):
[mediawiki/core@wmf/1.32.0-wmf.10] RC Filters: Don't apply/clear highlighting while still initializing

https://gerrit.wikimedia.org/r/442752

Change 442752 merged by jenkins-bot:
[mediawiki/core@wmf/1.32.0-wmf.10] RC Filters: Don't apply/clear highlighting while still initializing

https://gerrit.wikimedia.org/r/442752

Mentioned in SAL (#wikimedia-operations) [2018-06-28T23:54:06Z] <catrope@deploy1001> Synchronized php-1.32.0-wmf.10/resources/src/mediawiki.rcfilters/: Watchlist perf fixes (T198359, T198399) (duration: 00m 52s)

Change 443138 had a related patch set uploaded (by Kosta Harlan; owner: Kostajh):
[mediawiki/core@master] RC Filters: Avoid unnecessary update events when clearing highlight

https://gerrit.wikimedia.org/r/443138

Change 443138 merged by jenkins-bot:
[mediawiki/core@master] RC Filters: Avoid unnecessary update events when clearing highlight

https://gerrit.wikimedia.org/r/443138

Change 443518 had a related patch set uploaded (by Catrope; owner: Kostajh):
[mediawiki/core@wmf/1.32.0-wmf.10] RC Filters: Avoid unnecessary update events when clearing highlight

https://gerrit.wikimedia.org/r/443518

Change 443518 merged by jenkins-bot:
[mediawiki/core@wmf/1.32.0-wmf.10] RC Filters: Avoid unnecessary update events when clearing highlight

https://gerrit.wikimedia.org/r/443518

Mentioned in SAL (#wikimedia-operations) [2018-07-02T23:33:04Z] <catrope@deploy1001> Synchronized php-1.32.0-wmf.10/resources/src/: Watchlist performance fixes (T198359, T198399) (duration: 00m 51s)

Catrope closed this task as Resolved.Jul 2 2018, 11:55 PM